Skip to main content
PUT
/
terminology
/
v1
/
vocabularies
/
{vocabularyKey}
/
concepts
/
{conceptCode}
Upsert a concept in a vocabulary
curl --request PUT \
  --url https://api.{workspaceId}.clinia.cloud/terminology/v1/vocabularies/{vocabularyKey}/concepts/{conceptCode} \
  --header 'Content-Type: application/json' \
  --header 'X-Clinia-API-Key: <api-key>' \
  --data '
{
  "definition": "<string>",
  "designation": {}
}
'
{
  "vocabularyKey": "<string>",
  "code": "<string>",
  "definition": "<string>",
  "designation": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.clinia.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

vocabularyKey
string
required

The key of the vocabulary.

conceptCode
string
required

The code of the concept.

Body

application/json
definition
string
required
designation
object
required

Response

A successful response when the concept is replaced.

vocabularyKey
string
required
read-only
code
string
required
read-only
definition
string
required
designation
object
required